while upgrading from openstack Mitaka to pike getting conflict [closed]

asked 2018-02-19 04:49:14 -0600

TejSingh gravatar image

i am trying to upgrade from openstack mitaka to pike followed document https://www.rdoproject.org/install/upgrading-rdo-1/ (https://www.rdoproject.org/install/up...) installed pike rpm
yum install -y https://www.rdoproject.org/repos/rdo-release.rpm (https://www.rdoproject.org/repos/rdo-...)

when i am trying to update my packages getting Conflict, what is the best solution to avoid this conflict

i need to remove package python-keystoneauth

file /usr/lib/python2.7/site-packages/keystoneauth1/exceptions/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/extras/_saml2/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/extras/_saml2/v3/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/fixture/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/identity/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/identity/v3/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/loading/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/tests/unit/extras/saml2/fixtures/__init__.py from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/__init__.pyc from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch file /usr/lib/python2.7/site-packages/keystoneauth1/access/__init__.pyc from install of python2-keystoneauth1-3.1.0-1.el7.noarch conflicts with file from package python-keystoneauth1-2.4.1-1.el7ost.noarch

edit retag flag offensive reopen merge delete

Closed for the following reason question is not relevant or outdated by mary_grace
close date 2018-06-25 23:48:35.867460

Comments

hi @TejSingh - Unfortunately we're no longer offering support for Mitaka. You can find the current release & support schedule here: https://releases.openstack.org/ I hope you've found a solution for your problem. If you continue to have this issue in a current build, please post a new question.

mary_grace gravatar imagemary_grace ( 2018-06-25 23:48:25 -0600 )edit